<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-booking-service-member-heading">Create or edit a Booking Service Member</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_userId">User Id</label>
                    <input type="text" class="form-control" name="userId" id="field_userId"
                           formControlName="userId"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_productPriceRule">Product Price Rule</label>
                    <input type="text" class="form-control" name="productPriceRule" id="field_productPriceRule"
                           formControlName="productPriceRule"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_skuId">Sku Id</label>
                    <input type="text" class="form-control" name="skuId" id="field_skuId"
                           formControlName="skuId"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_price">Price</label>
                    <input type="number" class="form-control" name="price" id="field_price"
                           formControlName="price"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_remark">Remark</label>
                    <input type="text" class="form-control" name="remark" id="field_remark"
                           formControlName="remark"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_startTime">Start Time</label>
                    <div class="d-flex">
                        <input id="field_startTime" type="datetime-local" class="form-control" name="startTime" formControlName="startTime" placeholder="YYYY-MM-DD HH:mm"/>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_endTime">End Time</label>
                    <div class="d-flex">
                        <input id="field_endTime" type="datetime-local" class="form-control" name="endTime" formControlName="endTime" placeholder="YYYY-MM-DD HH:mm"/>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_imageUpload">Image Upload</label>
                    <input type="text" class="form-control" name="imageUpload" id="field_imageUpload"
                           formControlName="imageUpload"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_bookingDetail">Booking Detail</label>
                    <input type="text" class="form-control" name="bookingDetail" id="field_bookingDetail"
                           formControlName="bookingDetail"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_createdBy">Created By</label>
                    <div class="d-flex">
                        <input id="field_createdBy" type="datetime-local" class="form-control" name="createdBy" formControlName="createdBy" placeholder="YYYY-MM-DD HH:mm"/>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_updatedBy">Updated By</label>
                    <div class="d-flex">
                        <input id="field_updatedBy" type="datetime-local" class="form-control" name="updatedBy" formControlName="updatedBy" placeholder="YYYY-MM-DD HH:mm"/>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_createdAt">Created At</label>
                    <div class="d-flex">
                        <input id="field_createdAt" type="datetime-local" class="form-control" name="createdAt" formControlName="createdAt" placeholder="YYYY-MM-DD HH:mm"/>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_updatedAt">Updated At</label>
                    <div class="d-flex">
                        <input id="field_updatedAt" type="datetime-local" class="form-control" name="updatedAt" formControlName="updatedAt" placeholder="YYYY-MM-DD HH:mm"/>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_bookingStatusId">Booking Status Id</label>
                    <select class="form-control" id="field_bookingStatusId" name="bookingStatusId" formControlName="bookingStatusId">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="bookingStatusOption.id === editForm.get('bookingStatusId')!.value?.id ? editForm.get('bookingStatusId')!.value : bookingStatusOption" *ngFor="let bookingStatusOption of bookingstatusids; trackBy: trackById">{{ bookingStatusOption.id }}</option>
                    </select>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_jobAssignmentId">Job Assignment Id</label>
                    <select class="form-control" id="field_jobAssignmentId" name="jobAssignmentId" formControlName="jobAssignmentId">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="jobAssignmentOption.id === editForm.get('jobAssignmentId')!.value?.id ? editForm.get('jobAssignmentId')!.value : jobAssignmentOption" *ngFor="let jobAssignmentOption of jobassignmentids; trackBy: trackById">{{ jobAssignmentOption.id }}</option>
                    </select>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_bookingServices">Booking Services</label>
                    <select class="form-control" id="field_bookingServices" name="bookingServices" formControlName="bookingServices">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="bookingServicesOption.id === editForm.get('bookingServices')!.value?.id ? editForm.get('bookingServices')!.value : bookingServicesOption" *ngFor="let bookingServicesOption of bookingservices; trackBy: trackById">{{ bookingServicesOption.id }}</option>
                    </select>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span>Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span>Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
